#!/bin/sh
set -ev

test $DARCS || DARCS=$PWD/../darcs

rm -rf temp1
mkdir temp1
cd temp1
$DARCS init
echo hello world > foo
$DARCS add foo
$DARCS record -a -m add -A x
echo goodbye world >> foo
$DARCS diff
$DARCS diff -u
$DARCS whatsnew
$DARCS whatsnew --summary
echo y | $DARCS revert -a
cmp foo _darcs/pristine/foo
cd ..
rm -rf temp1

